#coding:utf-8
#require 'net/http'
#Net::HTTP.version_1_2

class SpotsController < ApplicationController
  
  def show
    @spot = Spot.find(params[:id])

    # cookie
    if cookies[:ref_spot_id].blank?
      cookies[:ref_spot_id] = params[:id]
    end

    refine_byside
  end

  def near_list
    @category = Category.find(params[:category_id])
    save_params_in_cookie
    cookies.delete :ref_spot_id unless cookies[:ref_spot_id].blank?
  end

  def nears
    refine_near(params[:lat].to_f, params[:longi].to_f)
    render :partial => "list_by_category", :layout => false
  end

  def near_category_list
    @category = Category.find(params[:category_id])
    save_params_in_cookie
    cookies.delete :ref_spot_id unless cookies[:ref_spot_id].blank?
  end

  def near_categories
    refine_category(params[:lat].to_f, params[:longi].to_f)
    render :partial => "list_by_categories", :layout => false
  end

  def all_near_list
    save_params_in_cookie
    cookies.delete :ref_spot_id unless cookies[:ref_spot_id].blank?
  end

  def all_nears
    refine_arround(params[:lat].to_f, params[:longi].to_f)
    render :partial => "list_by_categories", :layout => false
  end

  # お宝ページへ移動
  def treasure
    @spot = Spot.where(:id => params[:id]).first
    redirect_to @spot.treasure_url
#    if @spot.treasure_auth_id.present? && @spot.treasure_auth_password.present?
#      url_head_end = (/\/[a-z]/i =~ @spot.treasure_url)
#      url = @spot.treasure_url[0..url_head_end] + @spot.treasure_auth_id + ":" +
#        @spot.treasure_auth_password + "@" + @spot.treasure_url[(url_head_end + 1)..-1]
#    else
#      url = @spot.treasure_url
#    end
#    redirect_to url

#    url_head_end = (/\/[a-z]/i =~ @spot.treasure_url)
#    url_parts = @spot.treasure_url[(url_head_end + 1)..-1].split('/')
#    url_server = url_parts.shift
#    url_page = "/" + url_parts.join('/')
#
#    req = Net::HTTP::Get.new(url_page)
#    if @spot.treasure_auth_id.present? && @spot.treasure_auth_password.present?
#      req.basic_auth @spot.treasure_auth_id, @spot.treasure_auth_password
#    end
#    Net::HTTP.start(url_server, 80) {|http|
#      response = http.request(req)
##      render :text => response.body
#    }
#    render :text => @spot.treasure_url
  end

#  def get_twitter_search_json
#    req = Net::HTTP::Get.new('/search.json?q=斐川町&locale=ja&rpp=3')
#    Net::HTTP.start('search.twitter.com',80) {|http|
#      response = http.request(req)
#      render :text => response.body
#    }
#  end

  def get_linear_distance
    spot = Spot.new(:latitude => params[:spot_lat], :longitude => params[:spot_longi])
    render :text => spot.distance(params[:lat].to_f, params[:longi].to_f,true)
  end

  private

  #代入された座標を中心とした正方形の圏内に絞り込み
  def refine_near(lat,longi)
    @category = Category.find(params[:category_id])
    @near_spots = []
    @near_spots = @category.near_dist_catego_spot(lat, longi)
    @near_spots.sort_by!{|spot, distance| distance} if @near_spots.present?
  end

  def refine_category(lat,longi)
    @category = Category.find(params[:category_id])
    @category_and_spot = []
    @categories = []
    @category.sub_categories.each do |sub_category|
      sub_category_spots = []
      sub_category_spots = sub_category.near_all_dist_catego_spots(lat, longi)
      if sub_category_spots.present?
        sub_category_spots.sort_by!{|dist, spot, category| dist}
        i = 0
        sub_category_spots.each do |dist, spot, category|
          if i < 3
            @category_and_spot << [dist, spot, category]
            @categories << category
          end
          i += 1
        end
      end
    end
  end

  def refine_arround(lat, longi)
    categories = Category.where('organization_id = ? and parent_id = ?', @organization.id, 0).order('sort_number')
    @category_and_spot =[]
    @categories = []
    categories.each do |category|
      category.sub_categories.each do |sub_category|
        sub_category_spots = []
        sub_category_spots = sub_category.near_all_dist_catego_spots(lat, longi)
        if sub_category_spots.present?
          sub_category_spots.sort_by!{|dist, spot, category| dist}
          i = 0
          sub_category_spots.each do |dist, spot, category|
            if i < 3
              @category_and_spot << [dist, spot, category]
              @categories << category
            end
            i += 1
          end
        end
      end
    end
  end

  def refine_byside
    categories = Category.where('organization_id = ? and parent_id = ?', @organization.id, 0).order('sort_number')
    @category_and_spot =[]
    @categories = []
    categories.each do |category|
      category.sub_categories.each do |sub_category|
        sub_category_spots = []
        sub_category_spots = sub_category.the_spots_near_all(@spot.latitude, @spot.longitude, @spot.id)
        if sub_category_spots.present?
          sub_category_spots.sort_by!{|dist, spot, category| dist}
          sub_category_spots.each do |dist, spot, category|
            @category_and_spot << [dist, spot, category]
            @categories << category
          end
        end
      end
    end
  end

end
