YorimichiKankou::Application.routes.draw do

  resources :users
  
  match 'signup' => 'users#new', :as => :signup
  match 'register' => 'users#create', :as => :register
  match 'login' => 'sessions#new', :as => :login
  match 'logout' => 'sessions#destroy', :as => :logout

  # admin
  
  namespace :admin do
    resources :categories
    resource :session, :only => [:new, :create, :destroy] do
      get "login_check", :on => :collection
    end
    root :to => "sessions#index"
    resources :spots do
      get "search", :on => :collection
      get "get_linear_distance", :on => :collection
      get "parent_category_list", :on => :collection
      
      member do
        post "set_capture"
        post "remove_capture"
        post "update_categories"
        get "category_list"
      end
    end
  end
#  match "photo", :constraints => {:subdomain  => /user/}

#  root :to => 'sessions#top'

#  match "dir_name/:controller(/:action(/:id(.:format)))"
  match "hikawano/:controller(/:action(/:id(.:format)))"
  match "matsue/:controller(/:action(/:id(.:format)))"

  match "/hikawano" => "sessions#top"
  match "/matsue"   => "sessions#top"

  get "events/index"
  post "events/get_more_event"
  get "events/show"
  post "events/show"
  
  resources :sessions do
    collection do
#      get :top
      get :side_trip_list
      get :power_list
      get :recommend_list
      post :dist_sort
      post :yorimichi_sort
#      post :get_event
    end
  end

  resources :sessions do
    collection do
      get :side_trip_list
      get :power_list
      get :recommend_list
      post :dist_sort
#      post :get_event
    end
  end

  resources :events do
    collection do
      get :get_event
    end
  end
  
  resources :spots do
    collection do
      get :near_list
      post :near_list
      get :all_near_list
      post :all_near_list
      post :nears
      post :all_nears
      get  :show
      get  :treasure
      get  :get_linear_distance
    end
  end

  resources :coupons do
    collection do
      get :show
    end
  end
  
#  devise_for :users

#  get "welcome/index"

  # The priority is based upon order of creation:
  # first created -> highest priority.

  # Sample of regular route:
  #   match 'products/:id' => 'catalog#view'
  # Keep in mind you can assign values other than :controller and :action

  # Sample of named route:
  #   match 'products/:id/purchase' => 'catalog#purchase', :as => :purchase
  # This route can be invoked with purchase_url(:id => product.id)

  # Sample resource route (maps HTTP verbs to controller actions automatically):
  #   resources :products

  # Sample resource route with options:
  #   resources :products do
  #     member do
  #       get 'short'
  #       post 'toggle'
  #     end
  #
  #     collection do
  #       get 'sold'
  #     end
  #   end

  # Sample resource route with sub-resources:
  #   resources :products do
  #     resources :comments, :sales
  #     resource :seller
  #   end

  # Sample resource route with more complex sub-resources
  #   resources :products do
  #     resources :comments
  #     resources :sales do
  #       get 'recent', :on => :collection
  #     end
  #   end

  # Sample resource route within a namespace:
  #   namespace :admin do
  #     # Directs /admin/products/* to Admin::ProductsController
  #     # (app/controllers/admin/products_controller.rb)
  #     resources :products
  #   end

  # You can have the root of your site routed with "root"
  # just remember to delete public/index.html.
  # root :to => "welcome#index"

  # See how all your routes lay out with "rake routes"

  # This is a legacy wild controller route that's not recommended for RESTful applications.
  # Note: This route will make all actions in every controller accessible via GET requests.
  # match ':controller(/:action(/:id(.:format)))'
end
