# -*- encoding: utf-8 -*-

require 'rubygems'

def matsue_make
    organization = Organization.new(
      :name => "松江観光協会",
      :destination => "松江城",
      :dest_latitude => 35.47507, #松江城緯度
      :dest_longitude => 133.050742,#松江城経度
      :trip_height => 0.04507,  #よりみち範囲たて 1km=0.009014
      :trip_width => 0.05504,   #よりみち範囲よこ 1km=0.011095
      :dir_name => "matsue",
      :st_latitude => 35.464082, #松江駅緯度
      :st_longitude => 133.063864, #松江駅経度
      :means_route => "WALKING",
      :tres_distance => 300,  #meter
      :header_image => "matsue_h1.jpg",
      :footer_image => "",
      :trip_image => "taisha_kokokara.gif",
      :title => "ようこそ 水の都松江市へ"
    )
    organization.save
    category = Category.new(:organization_id => organization.id,
                    :name => "食事",
                    :sort_number => 1,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "飲食",
                    :sort_number => 1,
                    :image => "near_sublink_shokuji.jpg",
                    :parent_id => category.id)
    sub_category.save
    category = Category.new(:organization_id => organization.id,
                    :name => "買い物",
                    :sort_number => 2,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "名産",
                    :sort_number => 1,
                    :image => "near_sublink_tokusan.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "お奨め品",
                    :sort_number => 2,
                    :image => "near_sublink_okashi.jpg",
                    :parent_id => category.id)
    sub_category.save
    category = Category.new(:organization_id => organization.id,
                    :name => "伝統・文化",
                    :sort_number => 3,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "神社仏閣",
                    :sort_number => 1,
                    :image => "iseki.jpg",
                    :parent_id => category.id)
    sub_category.save
    category = Category.new(:organization_id => organization.id,
                    :name => "見る",
                    :sort_number => 4,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "見る",
                    :sort_number => 1,
                    :image => "asobu.jpg",
                    :parent_id => category.id)
    sub_category.save
    category = Category.new(:organization_id => organization.id,
                    :name => "体験する",
                    :sort_number => 5,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "体験する",
                    :sort_number => 1,
                    :image => "shukuhaku.jpg",
                    :parent_id => category.id)
    sub_category.save
    division = Division.new(:organization_id => organization.id,
                    :name => "松江城下の町人文化が息づく",
                    :sort_number => 1)
    division.save
    division = Division.new(:organization_id => organization.id,
                    :name => "松江昭和ノスタルジィ",
                    :sort_number => 2)
    division.save
    puts "success"
end

matsue_make
