#coding:utf-8
#This script command => $RAILS_ROOT/rails runner ./script/hikawano_spots_csv_to_db.rb

#Attention! Category's records are already saved,
# and top_category sub_category of relation are matching for csv's form!

KCODE="UTF-8"
require "pp"
require "rubygems"
require "csv"

def create_spots_and_spot_categories
  index_and_cate_id = Hash.new
  top_categories = Category.where('parent_id = ? and organization_id = ?', 0, @hikawano.id).order('sort_number')
  i = 0
  top_categories.each do |top_category|
    index_and_cate_id.store("#{i}",top_category.id)
    i += 1
    top_category.sub_categories.each do |sub_category|
      index_and_cate_id.store("#{i}",sub_category.id)
      i += 1
    end
  end
  category_num = index_and_cate_id.length
  CSV.foreach("./script/spots_real") do |row|
    spot = Spot.new(:organization_id => @hikawano.id,
                    :name => row[26],
                    :tel => row[27],
                    :city => row[28],
                    :address => row[29],
                    :latitude => row[30],
                    :longitude => row[31],
                    :memo => row[32],
                    :url => row[33],
                    :treasure_url => row[44],
                    :treasure_auth_id => row[45],
                    :treasure_auth_password => row[46])
    if spot.valid?
      puts "#{spot.name} valid ok!"
      row[0...category_num].each_with_index do |t, j|
        if t == "1"
          spot.spot_categories.build(:category_id => index_and_cate_id["#{j}"])
          puts "This spot belong #{spot.spot_categories.last.category.name}"
        end
      end
      if row[22] == "1"
        recommend = Division.first(:conditions => ["organization_id = ? and name = ?", @hikawano.id, "おすすめスポット"])
        spot.spot_divisions.build(:division_id => recommend.id)
      end
      if row[23] == "1"
        rec_view = Division.first(:conditions => ["organization_id = ? and name = ?", @hikawano.id, "おすすめ風景スポット"])
        spot.spot_divisions.build(:division_id => rec_view.id)
      end
      if row[24] == "1"
        ancient = Division.first(:conditions => ["organization_id = ? and name = ?", @hikawano.id, "古事記・歴史スポット"])
        spot.spot_divisions.build(:division_id => ancient.id)
      end
      if row[25] == "1"
        power = Division.first(:conditions => ["organization_id = ? and name = ?", @hikawano.id, "パワースポット"])
        spot.spot_divisions.build(:division_id => power.id)
      end
      spot.save!
      puts "#{spot.name} is successfully saved!"

      unless row[43].blank?
        spot = Spot.find(:first, :order => "id desc")
        coupon = Coupon.new(:spot_id => spot.id, :body => row[43])
        coupon.save!
      end
    else
      puts "#{spot.name} failure!"
    end
  end
rescue => ex
	pp ex
end

def hikawano_spots_create
  if @hikawano = Organization.find_by_dir_name("hikawano")
    create_spots_and_spot_categories
  else
    puts "hikawano couldn't find! Please hikwano save Organizations table."
  end
rescue => ex
	pp ex
end

hikawano_spots_create
